## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appid       com.github.quaternion
%global forgeurl    https://github.com/quotient-im/Quaternion
%global tag         %{version}-rc1

Name:       quaternion
Version:    0.0.96
Release:    %autorelease -p -e rc1

%forgemeta

Summary:    A Qt-based IM client for Matrix
License:    GPL-3.0-or-later
URL:        %{forgeurl}
Source0:    %{forgesource}

BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: cmake(Olm)
BuildRequires: cmake(QuotientQt6)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6QuickWidgets)
BuildRequires: cmake(Qt6Keychain)

Requires:       hicolor-icon-theme

%description
Quaternion is a cross-platform desktop IM client for the Matrix protocol.

%prep
%forgesetup

%build
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DUSE_INTREE_LIBQMC=NO
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-qt
cp -p linux/%{appid}.appdata.xml %{buildroot}%{_metainfodir}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{appid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appid}.appdata.xml

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{appid}.appdata.xml

%changelog
* Sat Feb 17 2024 Jan Grulich <jgrulich@redhat.com> - 0.0.96-0.5.rc1
- Rebuild (qt6)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.96-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.96-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Brendan Early <mymindstorm@evermiss.net> - 0.0.96-0.2.rc1
- Remove explicit dependency

* Tue Dec 26 2023 Brendan Early <mymindstorm@evermiss.net> - 0.0.96-0.1.rc1
- Update to 0.0.96-rc1

* Sat Dec 09 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.95.50~20231202gc287f84-2
- Fix summary for the package to not mention Qt version

* Sat Dec 09 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.95.50~20231202gc287f84-1
- Bump to new Git snapshot and build with Qt 6

* Sun Sep 03 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.95.50~20230827g3d7083a-3
- Fix file lists to account for REUSE style licensing

* Sun Sep 03 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.95.50~20230827g3d7083a-2
- Build with Qt 5 for now...

* Sun Sep 03 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.95.50~20230827g3d7083a-1
- Update to new snapshot for libquotient-0.8.x support

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.95.50~20230106g0315b395-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jan 23 2023 Brendan Early <mymindstorm@evermiss.net> - 0.0.95.50~20230106g0315b395-1
- Update to a snapshot version that is compatible with libquotient 0.7.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.95.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.95.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.95.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 28 2021 Brendan Early <mymindstorm@evermiss.net> - 0.0.95.1-1
- Update to 0.0.95.1
- Setup rpmautospec

* Sun Aug 15 2021 Brendan Early <mymindstorm@evermiss.net> - 0.0.95-0.7
- Update to 0.0.95 RC2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.95-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 20 2021 Brendan Early <mymindstorm@evermiss.net> - 0.0.95-0.5
- Update to 0.0.95-beta5

* Thu Feb 11 2021 Brendan Early <mymindstorm@evermiss.net> - 0.0.95-0.3
- Update to 0.0.95-beta3

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9.5-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 30 2020 Brendan Early <mymindstorm@evermiss.net> - 0.0.9.5-0.2
- Update to version 0.0.9.5-beta2
- Use forge macro

* Fri Oct 30 2020 Brendan Early <mymindstorm@evermiss.net> - 0.0.9.4e-5
- Add explicit requires for qtquickcontrols

* Thu Aug 06 2020 Brendan Early <mymindstorm@evermiss.net> - 0.0.9.4e-4
- Fix build failure

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9.4e-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9.4e-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Apr 02 2020 Brendan Early <mymindstorm@evermiss.net> - 0.0.9.4e-1
- Version 0.0.9.4e

* Thu Mar 05 2020 Brendan Early <mymindstorm@evermiss.net> - 0.0.9.4c-1
- Version 0.0.9.4c

